Issue1150

classification
Title: Nested generator expressions do not compile
Type: Severity: normal
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: fwierzbicki, pjenvey, thobes
Priority: Keywords:

Created on 2008-10-11.20:59:13 by fwierzbicki, last changed 2008-10-27.18:17:18 by fwierzbicki.

Messages
msg3663 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-10-11.21:00:38
Nested generator expressions within a function like:

def x(): ( a for b in ( c for d in e ))

fail to compile with an "internal compiler error"
msg3664 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-10-11.21:01:24
Note: this bug was originally uncovered in #1114
msg3665 (view) Author: Philip Jenvey (pjenvey) Date: 2008-10-11.21:04:08
Sounds like the issue Tobias noticed a few weeks ago in r5351, you might 
wanna ping him on it if you haven't already
msg3666 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-10-11.21:22:43
Thanks for the heads up Philip, I haven't started working on this (other
than turning the NPE into a useful Python exception) -- so I'll keep it
that way until I hear from Tobias.
msg3677 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-10-14.00:30:57
#1151 was marked as a dup of this bug -- so we should see if pyke works
after this is fixed (see #1151)
msg3708 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-10-27.18:17:18
Tobias (thobe) has fixed this issue.
History
Date User Action Args
2008-10-27 18:17:18fwierzbickisetstatus: open -> closed
resolution: fixed
messages: + msg3708
2008-10-14 00:30:57fwierzbickisetmessages: + msg3677
2008-10-11 21:22:44fwierzbickisetmessages: + msg3666
2008-10-11 21:04:08pjenveysetnosy: + pjenvey, thobes
messages: + msg3665
2008-10-11 21:01:24fwierzbickisetmessages: + msg3664
2008-10-11 21:00:38fwierzbickisetmessages: + msg3663
2008-10-11 21:00:18fwierzbickisetmessages: - msg3661
2008-10-11 20:59:13fwierzbickicreate